import swarm.Globals;
import swarm.defobj.Zone;

public class StartSimulation
{
    // The size of the bug's world and its initial position.
    static int worldXSize = 80;
    static int worldYSize = 80;
    static int xPos = 40;
    static int yPos = 0;

    public static void main (String[] args)
    {
		AssignValue assignValue;
		int i;
		Agent1 a1bug;
		Agent2 a2bug;

        // Swarm initialization: all Swarm apps must call this first.
        Globals.env.initSwarm ("SimpleBug", "2.1", "bug-swarm@santafe.edu", args);

		assignValue = new AssignValue(Globals.env.globalZone, worldXSize, worldYSize);
		assignValue.allocateValue();

		// Create an instance of a SimpleBug, abug, and place it
		// within its world at (xPos, yPos). The bug is created in
		// Swarm's globalZone and is given a "bug id" of 1.
		a1bug = new Agent1(Globals.env.globalZone, assignValue, xPos, yPos, 1);
		a2bug = new Agent2(Globals.env.globalZone, assignValue, xPos, yPos+80, 2);

		// Loop our bug through a series of random walks asking it to
		// report its position after each one.
		for (i = 0; i < 100; i++)
		{
	    	a1bug.randomWalkAgent1();
	    	a1bug.reportPositionAgent1();
	    	a2bug.randomWalkAgent2();
	    	a2bug.reportPositionAgent2();
		}
    }
}