import swarm.Globals;
import swarm.defobj.Zone;
import swarm.objectbase.SwarmObjectImpl;

import swarm.space.Discrete2dImpl;
import swarm.space.Grid2dImpl;

import swarm.gui.Raster;
import swarm.gui.ZoomRasterImpl;

public class Agent1 extends SwarmObjectImpl
{

	AssignValue assValue;
    int worldXSize;
    int worldYSize;

    public int xPos;
    public int yPos;

    public int bugNumber;

    public byte bugColor;

    public Agent1(Zone aZone, AssignValue aValue, int X, int Y, int bNum)
    {
		super(aZone);

		assValue = aValue;
		worldXSize = assValue.getSizeX();
		worldYSize = assValue.getSizeY();
		xPos = X;
		yPos = Y;
		bugNumber = bNum;

		System.out.println("SimpleBug number " + bugNumber + " has been created at " + xPos + ", " + yPos);
    }

    public void randomWalkAgent1()
    {
		xPos += Globals.env.uniformIntRand.getIntegerWithMin$withMax(-1, 1);
		yPos += Globals.env.uniformIntRand.getIntegerWithMin$withMax(-1, 1);

		xPos = (xPos + worldXSize) % worldXSize;
		yPos = (yPos + worldYSize) % worldYSize;

		if (assValue.getValueAtX$Y(xPos, yPos) == 1)
	    {
			a = assValue.getValueAtX$Y(xPos, yPos);
	    	System.out.println("Agent " + bugNumber + " has found Content of "+ a + " at " + xPos + ", " + yPos);
	    }
    }

    public void reportPositionAgent1()
    {
		System.out.println("Agent " + bugNumber + " is at " + xPos + ", " + yPos);
    }

    public Object setBugColor(byte c)
    {
		bugColor = c;
		return this;
    }

    public Object drawSelfOn (Raster r)
    {
		r.drawPointX$Y$Color (xPos, yPos, bugColor);
		return this;
    }
}
